/home/marcle/src/R/microsimulation/src/microsimulation.cc File Reference
`#include <microsimulation.h>`
Include dependency graph for microsimulation.cc:

Go to the source code of this file.

## Namespaces

| ssim
| name space for the Siena simulator.
| R

## Functions

double | ssim::rweibullHR (double shape, double scale, double hr)
| Random Weibull distribution for a given shape, scale and hazard ratio. More...
Time | ssim::now ()
| now() function for compatibility with C++SIM More...
Time | ssim::simTime ()
| simTime() function for OMNET++ API compatibility More...
void | ssim::r_create_current_stream ()
| A utility function to create the current_stream. Used when initialising the microsimulation package in R. More...
void | ssim::r_remove_current_stream ()
| A utility function to remove the current_stream. Used when finalising the microsimulation package in R. More...
void | ssim::r_set_user_random_seed (double *seed)
| A utility function to set the user random seed for the simulation. More...
void | ssim::r_get_user_random_seed (double *seed)
| A utility function to set the user random seed for the simulation. More...
void | ssim::r_next_rng_substream ()
| A utility function to move to the next user random stream for the simulation. More...
void | ssim::r_rng_advance_substream (double *seed, int *n)
| A utility function to advance the random sub-stream n steps for a specified seed. More...
double * | ssim::user_unif_rand ()
void | ssim::test_rstream2 (double *x)
| Simple test of the random streams (with a stupid name) More...
double | R::rnormPos (double mean, double sd)
| rnorm function constrained to be positive. This uses brute-force re-sampling rather than conditioning on the distribution function. More...
double | R::rllogis (double shape, double scale)
| rllogis function for a random covariate from a log-logistic distribution with shape and scale. S(t) = 1/(1+(t/scale)^shape). More...
double | R::rllogis_trunc (double shape, double scale, double left)
| rllogis_trunc function for a random covariate from a log-logistic distribution with shape and scale with minimum time left. S(t|t>x)=S(t)/S(x) where S(t)=1/(1+(t/scale)^shape). More...
double | R::rgompertz (double shape=1.0, double rate=1.0)
| Random draw from a Gompertz distribution. More...

## Variables

static Rng * | ssim::default_stream
static Rng * | ssim::current_stream
static double | ssim::rn = 0.0